void htmlunescape(str)
char *str;
{
char *i,*o;
i=str;
o=str;
while(*i){
  if(*i == '&'){
    switch(*(i+1)){
    case 'l':*o = '<'; i += 3; break;
    case 'g':*o = '>'; i += 3; break;
    case 'a':*o = '&'; i += 4; break;
    };
  } else *o = *i;
  i++;
  o++;
};
*o = 0;
}
